com.ibm.openpages.api.search

## Interface ISearchResults

-     public interface ISearchResults

  A range of results provided by the Global Search, filtered by what the user has access to and presented as a List of ISearchResource objects.
  Since:
    7.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEstimatedTotalResults()` Gets the estimated total number of results matching the provided search terms.
    `java.util.List<ISearchResource>` | `getResultList()` Gets the results that have been returned from search, processed for the end-user's security access, for the current range.
    `int` | `getResultRangeEnd()` Gets the ending index of the results this SearchResults represented.
    `int` | `getResultRangeStart()` Gets the starting index of the results this SearchResults represented.

- - ### Method Detail

    - #### getEstimatedTotalResults

          int getEstimatedTotalResults()

      Gets the estimated total number of results matching the provided search terms. This count is for the total results returned for this search, up to the size defined by the 'Result Cache Size' setting. This total may be larger than the range (start and end values) specified in the search result interface.
      Returns:
        total number of results for this search

    - #### getResultRangeStart

          int getResultRangeStart()

      Gets the starting index of the results this SearchResults represented. The index is based on starting at zero. The requested range is defined by `SearchOptions`.
      Returns:
        the range start index

    - #### getResultRangeEnd

          int getResultRangeEnd()

      Gets the ending index of the results this SearchResults represented.
      Returns:
        the number of results per page

    - #### getResultList

          java.util.List<ISearchResource> getResultList()

      Gets the results that have been returned from search, processed for the end-user's security access, for the current range.
      Returns:
        list of ISearchResource results

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.